- [HTTP request](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1alpha1/projects.locations.clusters.tokenAuthUsers.authTokens/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1alpha1/projects.locations.clusters.tokenAuthUsers.authTokens/delete#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1alpha1/projects.locations.clusters.tokenAuthUsers.authTokens/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1alpha1/projects.locations.clusters.tokenAuthUsers.authTokens/delete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1alpha1/projects.locations.clusters.tokenAuthUsers.authTokens/delete#body.aspect)
- [Examples](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1alpha1/projects.locations.clusters.tokenAuthUsers.authTokens/delete#examples)
- [Try it!](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1alpha1/projects.locations.clusters.tokenAuthUsers.authTokens/delete#try-it)

Removes a auth token for a user of a token based auth enabled instance.

### HTTP request

`DELETE https://redis.googleapis.com/v1alpha1/{name=projects/*/locations/*/clusters/*/tokenAuthUsers/*/authTokens/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the token auth user resource that this auth token will be deleted from. Format: projects/{project}/locations/{location}/clusters/{cluster}/tokenAuthUsers/{tokenAuthUser}/authTokens/{authToken} |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/redis.read-write`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).